Name:           mediawiki-HTTP302Found
Version:        1.0
Release:        3%{?dist}
Summary:        Forces an external HTTP 302 redirect instead of internal redirects

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:HTTP302Found
# Copy/paste from http://www.mediawiki.org/wiki/Extension:HTTP302Found/Version_1.0
Source0:        HTTP302Found.php
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       mediawiki >= 1.14.0

%description
Pushes a HTTP code 302 (Found) to the browser when there is a redirect instead
of handling it internally. The end user will not notice any difference (other
than the address to the page having an ?rd=Redirecting_page bit at the end).


%prep
echo 'To complete installation of %{name}, add the following lines to LocalSettings.php:

    require_once("$IP/extensions/HTTP302Found/HTTP302Found.php");

for each MediaWiki instance you wish to install %{name} on.' > README.fedora


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/mediawiki/extensions/HTTP302Found
install -cpm 644 %{SOURCE0} %{buildroot}%{_datadir}/mediawiki/extensions/HTTP302Found/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.fedora
%{_datadir}/mediawiki/extensions/HTTP302Found


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Ian Weller <ian@ianweller.org> - 1.0-1
- Initial package build
